<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-add.twig */
class __TwigTemplate_a82c513114e7741b24f6c908434ef2023ca51e2cd0aeab70423233df75649722 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "displayprofile-form-add.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "displayprofile-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Add Profile");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#displayProfileAddForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayProfileAddForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayProfile.add"), "html", null, true);
        echo "\"
                  data-next-form-url=\"";
        // line 41
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayProfile.edit.form"), "html", null, true);
        echo "\">
                ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Display Profile");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required");
        echo "

                ";
        // line 46
        ob_start(function () { return ''; });
        echo __("Display Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                ";
        ob_start(function () { return ''; });
        echo __("What type of display is this profile intended for?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Windows");
        $context["windows"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Android");
        $context["android"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Linux");
        $context["linux"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Tizen");
        $context["sssp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                ";
        ob_start(function () { return ''; });
        echo __("webOS");
        $context["lg"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                ";
        $context["options"] = [0 => ["typeid" => "android", "type" =>         // line 54
($context["android"] ?? null)], 1 => ["typeid" => "linux", "type" =>         // line 55
($context["linux"] ?? null)], 2 => ["typeid" => "sssp", "type" =>         // line 56
($context["sssp"] ?? null)], 3 => ["typeid" => "lg", "type" =>         // line 57
($context["lg"] ?? null)], 4 => ["typeid" => "windows", "type" =>         // line 58
($context["windows"] ?? null)]];
        // line 60
        echo "                ";
        echo $context["forms"]->getdropdown("type", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null));
        echo " 

                ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Default Profile?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Is this the default profile for all Displays of this type? Only 1 profile can be the default.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                ";
        echo $context["forms"]->getcheckbox("isDefault", ($context["title"] ?? null), ($context["isDefault"] ?? null), ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displayprofile-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  159 => 64,  154 => 63,  150 => 62,  144 => 60,  142 => 58,  141 => 57,  140 => 56,  139 => 55,  138 => 54,  136 => 53,  131 => 52,  126 => 51,  121 => 50,  116 => 49,  111 => 48,  106 => 47,  102 => 46,  96 => 44,  91 => 43,  87 => 42,  83 => 41,  79 => 40,  75 => 38,  72 => 37,  66 => 34,  62 => 33,  55 => 32,  52 => 31,  47 => 28,  44 => 27,  39 => 24,  37 => 25,  31 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-add.twig", "/home/mgatv524/public_html/edurocha/views/displayprofile-form-add.twig");
    }
}
